> For the complete documentation index, see [llms.txt](https://docs.umbcheckout.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbcheckout.net/v17/getting-started/starter-kits/stripe.md).

# Stripe

Information about our Starter Kit configured for Stripe

Our UmbCheckout Stripe Starter Kit comes fully configured and can be installed ready for the content population in 2 minutes!

{% hint style="info" %}
Check the [starter kit's repository](https://github.com/UmbHost/UmbCheckout.StarterKit.Stripe) for the Umbraco versions it supports.
{% endhint %}

The source code for the Starter Kit can be found on the [GitHub repository here](https://github.com/UmbHost/UmbCheckout.StarterKit.Stripe).

The starter kit has been built using the [InMemoryAuto Models builder mode](https://docs.umbraco.com/umbraco-cms/reference/configuration/modelsbuildersettings#models-mode).

The video below is an example of how to install the ready-to-go starter kit in under 2 minutes.

{% embed url="<https://www.youtube.com/watch?v=zmZfQlfcjuM>" %}

#### UI

The front-end UI makes use of Bootstrap 5.3 as an out-of-the-box configuration, to override any Bootstrap styles simply edit the custom.css file from within the backoffice.

You can find the custom.css file on disk in the following path: wwwroot -> css -> custom.css Alternatively, you can edit the file directly from within the Umbraco backoffice at the following path Settings -> Stylesheets -> custom.css

You can find the custom.js file on disk in the following path: wwwroot -> scripts -> custom.js\
Alternatively, you can edit the file directly from within the Umbraco backoffice at the following path\
Settings -> Scripts -> custom.js

If you require a more in-depth customisation you are free to replace the Bootstrap implementation as you see fit.

#### Pre-Installed Packages

The UmbCheckout Starter Kit for Stripe is licensed under the MIT license, any installed packages may use different licenses, be sure to check and use accordingly.

We highly enjoy working with what the community creates, so we have made use of many open-source packages within the starter kit, you can see the list below along with links to the source code and licenses.

| Package Name                  | GitHub Repository                                              | Marketplace URL                                                             | License                                                                                               |
| ----------------------------- | -------------------------------------------------------------- | --------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------- |
| Nesting Contently             | <https://github.com/nathanwoulfe/NestingContently/tree/v4/dev> | <https://marketplace.umbraco.com/package/nestingcontently.umbraco>          | Unknown / Contact Author                                                                              |
| Contentment                   | <https://github.com/leekelleher/umbraco-contentment>           | <https://marketplace.umbraco.com/package/umbraco.community.contentment>     | [Mozilla Public License 2.0](https://github.com/leekelleher/umbraco-contentment/blob/develop/LICENSE) |
| The Dashboard                 | <https://github.com/enkelmedia/TheDashboard>                   | <https://marketplace.umbraco.com/package/our.umbraco.thedashboard>          | [MIT](https://github.com/enkelmedia/TheDashboard/blob/v11/dev/LICENSE)                                |
| ourHtagEditor                 | <https://github.com/mastrup/ourHtagEditor>                     | <https://marketplace.umbraco.com/package/ourhtageditor>                     | [MIT](https://github.com/mastrup/ourHtagEditor/blob/main/LICENSE)                                     |
| Skybrud Redirects             | <https://github.com/skybrud/Skybrud.Umbraco.Redirects>         | <https://marketplace.umbraco.com/package/skybrud.umbraco.redirects>         | [MIT](https://github.com/skybrud/Skybrud.Umbraco.Redirects/blob/v4/main/LICENSE.md)                   |
| uSync                         | <https://github.com/KevinJump/uSync>                           | <https://marketplace.umbraco.com/package/usync>                             | [Mozilla Public License 2.0](https://github.com/KevinJump/uSync/blob/v12/main/LICENSE)                |
| Bergmania.OpenStreetMap       | <https://github.com/bergmania/Bergmania.OpenStreetMap>         | <https://marketplace.umbraco.com/package/bergmania.openstreetmap>           | [MIT](https://github.com/bergmania/Bergmania.OpenStreetMap/blob/main/LICENSE)                         |
| MetaMomentum                  | <https://github.com/DigitalMomentum/MetaMomentum>              | <https://marketplace.umbraco.com/package/metamomentum>                      | Unknown / Contact Author                                                                              |
| Conditional Displayers        | <https://github.com/skartknet/ConditionalDisplayers>           | <https://marketplace.umbraco.com/package/our.umbraco.conditionaldisplayers> | [MIT](https://github.com/skartknet/ConditionalDisplayers/blob/master/LICENSE)                         |
| Our.Umbraco.TagHelpers        | <https://github.com/umbraco-community/Our-Umbraco-TagHelpers>  | <https://marketplace.umbraco.com/package/our.umbraco.taghelpers>            | [MIT](https://github.com/umbraco-community/Our-Umbraco-TagHelpers/blob/main/LICENSE)                  |
| UmbNav                        | <https://github.com/AaronSadlerUK/Our.Umbraco.UmbNav>          | <https://marketplace.umbraco.com/package/our.umbraco.umbnav.web>            | [MIT](https://github.com/AaronSadlerUK/Our.Umbraco.UmbNav/blob/develop/LICENSE)                       |
| NWebsec.AspNetCore.Middleware | <https://github.com/NWebsec/NWebsec>                           |                                                                             | [BSD-3-Clause license](https://github.com/NWebsec/NWebsec/blob/dev/LICENSE)                           |
| LazZiya.TagHelpers            | <https://github.com/LazZiya/TagHelpers>                        |                                                                             | [MIT](https://github.com/LazZiya/TagHelpers/blob/master/LICENSE)                                      |
| UmbCheckout                   | <https://github.com/UmbHost/UmbCheckout>                       |                                                                             | [Apache License 2.0](https://github.com/UmbHost/UmbCheckout/blob/develop/LICENSE)                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbcheckout.net/v17/getting-started/starter-kits/stripe.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
